/* 
 *	Copyright (C) 2004-2005 Vadim Berezniker
 *	http://www.kryptolus.com
 *
 *  This Program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *   
 *  This Program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *   
 *  You should have received a copy of the GNU General Public License
 *  along with GNU Make; see the file COPYING.  If not, write to
 *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. 
 *  http://www.gnu.org/copyleft/gpl.html
 *
 */
#include "stdafx.h"

#include "common.h"

#include "sabbu.h"

#include "kry_peakfile.h"

gboolean gui_peakfile_save(char *audiofile, struct sound_info *sound_info)
{
  char *peakfile = kry_path_replace_ext(audiofile, "sabbu_pk");
  struct _stat statinfo;
  if(stat(peakfile, &statinfo) >= 0)
  {
    if(!gui_question_yes_no(_("The peak file '%s' already exists.\n\nOverwrite it?"), peakfile))
    {
      kry_free(peakfile);
      return FALSE;
    }
  }

  return kry_peakfile_save(peakfile, sound_info);

  kry_free(peakfile);
}



