class kryString
{
public:
  kryString();
  kryString(const char *str);
  kryString(const char *str, int start, int count);
  kryString(const kryString &str);
  ~kryString();

  char *GetBuffer();

  gboolean IsEmpty();
  int GetLength();

  void operator =(const kryString &str);
  void operator =(char *str); 
  void operator += (gunichar chr);
  kryString & operator + (kryString &str);
  gunichar operator [] (int index);

  int Find(char chr, int start = 0);
  int Find(char *str, int start = 0);
  //void Replace(char *s1, char *s2);
  kryString & Trim(char *chars = " \t");

  void Empty();
  kryString Mid(int start);
  kryString Mid(int start, int length);
  kryString Left(int length);

private:
  int m_capacity;
  int m_length;
  char *m_str;
};

gboolean operator==(kryString &str, char *str2);


