class krySubWriter
{
public:
  krySubWriter(kryScript *script, char *filename = NULL);
  virtual ~krySubWriter();

  gboolean Open();
  virtual char *WriteScript() = 0;
  void WriteHeaders();
  void WriteString(char *buffer);

  kryEventDetailed *GetNextEvent();
  void SetEventFilter(int filter);

protected:
  kryScript *GetScript();

private:
  kryEvent *m_event_after_last;
  kryScript *m_script;
  char *m_filename;

  int m_event_filter;
  kryListIterator<kryEventDetailed *> iter_event;

  FILE *m_fh;
};


