
enum sound_play_status
{
  SOUND_NOT_PLAYING,
  SOUND_PLAYING_FROM_START,
  SOUND_PLAYING_OTHER
};

enum grab_flags
{
  GRAB_DEFAULT  = 0,
  GRAB_ADVANCE  = 1,
  GRAB_ENTERKEY = 2,
  GRAB_TIME_START_ONLY = 4,
  GRAB_TIME_END_ONLY = 8
};

void gui_main_menu_file_audio_open(gpointer callback_data, guint callback_action, GtkWidget *menu_item);
void gui_main_menu_file_audio_close(GtkWidget *menu_item, guint param);
gboolean gui_main_grab_times(enum grab_flags flags);
gboolean gui_main_grab_times_cb(GtkWidget *widget, gboolean advance);
void gui_main_play_selected(GtkWidget *widget, gpointer data);
void gui_main_menu_audio_play_current_row(gpointer callback_data, guint callback_action, GtkWidget *menu_item);
void gui_main_menu_audio_play_previous_row(gpointer callback_data, guint callback_action, GtkWidget *menu_item);
void gui_main_menu_audio_play_next_row(gpointer callback_data, guint callback_action, GtkWidget *menu_item);
void gui_main_play_time_range(KryMarker *marker_start, KryMarker *marker_end);
void gui_main_menu_audio_play_start(gpointer callback_data, guint callback_action, GtkWidget *menu_item);
void gui_main_menu_audio_play_last(gpointer callback_data, guint callback_action, GtkWidget *menu_item);
gboolean gui_main_event_seek(int offset, GtkTreeIter *iter, gboolean can_select_blank);
gboolean gui_main_event_select(int offset, GtkTreeIter *iter, gboolean can_select_blank, gboolean lock_selection);
void gui_main_menu_audio_play_next(gpointer callback_data, guint callback_action, GtkWidget *menu_item);
void gui_main_menu_audio_play_previous(gpointer callback_data, guint callback_action, GtkWidget *menu_item);
void gui_main_audio_close();
gboolean gui_audio_open(char *filename);
void gui_main_menu_audio_mark_keyframes(gpointer callback_data, guint callback_action, GtkWidget *menu_item);
void gui_main_advance_markers();
void gui_main_menu_audio_stop();
void gui_main_menu_audio_openrecent(GtkWidget *menu, char *filename);
void gui_main_audio_play_mode(enum sound_play_status status);
void gui_main_save_selection_cb();
















