class kryScript;

class kryEventDetailed : public kryEvent
{
public:
  kryEventDetailed();
  //kryEvent (kryEvent & event);
  ~kryEventDetailed();

  void SetName(char *name);
  static void SetNameStatic(kryEventDetailed *event, char *name);

  char *GetName();
  static char *GetNameStatic(kryEventDetailed *event);

  void SetLayer(int layer);
  static void SetLayerStatic(kryEventDetailed *event, int layer);
  int GetLayer();
  static int GetLayerStatic(kryEventDetailed *event);

  void SetStyle(char *name);
  static void SetStyleStatic(kryEventDetailed *event, char *name);
  char *GetStyle();
  static char *GetStyleStatic(kryEventDetailed *event);

  void SetMarked(int marked);
  static void SetMarkedStatic(kryEventDetailed *event, int marked);
  int GetMarked();
  static int GetMarkedStatic(kryEventDetailed *event);

  void SetMarginLeft(int margin);
  static void SetMarginLeftStatic(kryEventDetailed *event, int margin);
  int GetMarginLeft();
  static int GetMarginLeftStatic(kryEventDetailed *event);

  void SetMarginRight(int margin);
  static void SetMarginRightStatic(kryEventDetailed *event, int margin);
  int GetMarginRight();
  static int GetMarginRightStatic(kryEventDetailed *event);

  void SetMarginVertical(int margin);
  static void SetMarginVerticalStatic(kryEventDetailed *event, int margin);
  int GetMarginVertical();
  static int GetMarginVerticalStatic(kryEventDetailed *eevent);

  void SetEffect(char *effect);
  static void SetEffectStatic(kryEventDetailed *event, char *effect);
  char *GetEffect();
  static char *GetEffectStatic(kryEventDetailed *event);

  void SetPrefix(char *text);
  char *GetPrefix();

  void SetCollisionJustAdded(gboolean val);
  gboolean GetCollisionJustAdded();

  void SetCollisionAdded(gboolean val);
  gboolean GetCollisionAdded();

  void SetCollisionHighlighted(gboolean val);
  gboolean GetCollisionHighlighted();

  void SetCollisionCount(int count);
  int GetCollisionCount();
  void IncreaseCollisionCount();
  void DecreaseCollisionCount();

  kryEventDetailed *Copy();

  gboolean IsDetailed();
private:
  int m_layer;
  int m_marked;

  int m_margin_left;
  int m_margin_right;
  int m_margin_vertical;
  
  char *m_style;
  char *m_name;
  char *m_effect;
  char *m_prefix;

  
  gboolean m_collision_just_added;
  int      m_collision_count;
  gboolean m_collision_added;
  gboolean m_collision_highlighted;
};


