template <class T>
class kryListIterator
{
public:
  kryListIterator();
  ~kryListIterator();

//  int HasData();
  T GetNext();
  //T GetPrev();
  T GetData();
  kryListNode<T> *GetNode();
  void SetData(T data);
  void Remove();
  void InsertBefore(T data);
  void SetList(kryList<T> *list);

  void NotifyBeforeRemove(kryListNode<T> *node);
  void NotifyBeforeAdd(kryListNode<T> *node_after);
  void Invalidate();
  void AllowRemoveCurrent();
  void DisconnectFromList();

private:
  void Validate();


  kryListNode<T> *m_ptr;
  kryListNode<T> *m_ptr_next;
  kryList<T> *m_list;

  gboolean m_invalid;
  gboolean m_allow_remove_current;
};

#ifdef _WINDOWS
#pragma warning (disable : 4661)
#endif



