enum sound_position_type 
{
  POSITION_AUTOMATIC,
  POSITION_MANUAL,
  POSITION_POLL
};

enum soundserver_position_rv
{
  SOUNDSERVER_NOT_RUNNING,
  SOUNDSERVER_ERROR,
  SOUNDSERVER_OK
};

typedef int (*USER_CALLBACK) (void *pBuffer,long bufferLen, void *data);
int soundserver_open(USER_CALLBACK pUserCallback, int channels, int samplerate);
void soundserver_init();
void	soundserver_close(void);
void soundserver_stop();
void soundserver_play(struct sound_play_data *data);
void soundserver_mute(int channel);
enum sound_position_type soundserver_get_position_type();
enum soundserver_position_rv soundserver_get_position(int *pos);

