void spell_init();
GList *spell_get_dict_list();
char *spell_get_dict_name_from_code(char *code);
char *spell_get_current_dict_name(struct AspellSpeller *speller);

gboolean spell_check_word(struct AspellSpeller *speller, char *word);
GList *spell_get_suggestions(struct AspellSpeller *speller, char *word);
void spell_add_to_session(struct AspellSpeller *speller, char *word);
void spell_add_to_personal(struct AspellSpeller *speller, char *word);

struct AspellSpeller *spell_create(char *lang = NULL);
void spell_destroy(struct AspellSpeller *speller);

gboolean spell_is_available();
char *spell_get_error();



char *spell_get_word(char **text, int *offset, int *offset_end, int *prefer_end_bound, gboolean start_backward);
