#ifdef HAVE_CONFIG_H
  #include "config.h"
#endif


//#include <libintl.h>
//#define _(String) gettext(String)

#define _USE_MATH_DEFINES 1

#ifdef _WINDOWS
#define strcasecmp stricmp
#endif

#ifdef _WINDOWS
#define HAVE_ASPELL
#endif

#include <string.h>
#include <stdlib.h>
#include <math.h>
#include <time.h>
#include <locale.h>
#include <sys/stat.h>

#ifndef _WINDOWS
  #include <unistd.h>
  #include <sys/types.h>
  #include <fcntl.h>
  #include "errno.h"
#else
  #pragma once
  #pragma warning(disable: 4996)

  #define WIN32_LEAN_AND_MEAN		// Exclude rarely-used stuff from Windows headers
  #define _ATL_CSTRING_EXPLICIT_CONSTRUCTORS	// some CString constructors will be explicit

  #define CRTDBG_MAP_ALLOC
  #include <crtdbg.h>

  #ifndef VC_EXTRALEAN
  #define VC_EXTRALEAN		// Exclude rarely-used stuff from Windows headers
  #endif

  #include <afxwin.h>
  #include <afxtempl.h>
  #include <direct.h>
  #include <commdlg.h>
  #include <shlobj.h>
  #include <fcntl.h>
  #include <io.h>
  #include <streams.h>
  #include <vector>
  #include <algorithm>
  //#import "msxml.dll"
  #include <shellapi.h>
#endif



#include <gtk/gtk.h>
#include <glib.h>
#include <sndfile.h>
#include <gdk/gdkkeysyms.h>
#include <gmodule.h>


#ifdef _WINDOWS
  #include <gdk/win32/gdkwin32.h>
#endif

#ifndef _WINDOWS
#ifndef ENABLE_NLS
#define DISABLE_GETTEXT
#endif
#endif

//#define DISABLE_GETTEXT
#ifdef DISABLE_GETTEXT
  #define _(String) String
  #define __(String) (sgettext_strip(String))
#else
  #include <libintl.h>
  #define _(String) gettext(String)
  #define __(String) (sgettext(String))
#endif

#ifdef _WINDOWS
  #define fopen(file, flags) fopen_win32(file, flags)
  #define open(file, flags) open_win32(file, flags)
  #define stat(file, props) stat_win32(file, props)
  #define mkdir(dir) mkdir_win32(dir)
  #define chdir(dir) chdir_win32(dir)
#else
  #define _stat stat
#endif



